Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Ensure groovy 2.1 options shows on preferences page

  • Loading branch information...
commit 95518f1555b377ba6fed585cb9b44103470942a6 1 parent 4959ad3
@aeisenberg aeisenberg authored
View
10 ide/org.codehaus.groovy.eclipse.ui/src/org/codehaus/groovy/eclipse/preferences/CompilerPreferencesPage.java
@@ -191,6 +191,7 @@ protected void createProjectCompilerSection(final Composite page) {
compilerCombo.add("1.7");
compilerCombo.add("1.8");
compilerCombo.add("2.0");
+ compilerCombo.add("2.1");
currentProjectVersion = CompilerUtils.getCompilerLevel(getProject());
Label explainLabel = new Label(page, SWT.WRAP);
@@ -214,6 +215,9 @@ private void setToProjectVersion() {
case _20:
compilerCombo.select(2);
break;
+ case _21:
+ compilerCombo.select(3);
+ break;
}
}
@@ -238,12 +242,6 @@ protected void createWorkspaceCompilerSection(final Composite page) {
doCheckForCompilerMismatch.setLayoutData(new GridData(SWT.BEGINNING, SWT.CENTER, false, false));
doCheckForCompilerMismatch.setText("Enable checking for mismatches between the project and workspace Groovy compiler levels");
doCheckForCompilerMismatch.setSelection(getPreferences().getBoolean(Activator.GROOVY_CHECK_FOR_COMPILER_MISMATCH, true));
- // doCheckForCompilerMismatch.addSelectionListener(new SelectionAdapter() {
- // @Override
- // public void widgetSelected(SelectionEvent e) {
- // doCheckForCompilerMismatch.setSelection(!doCheckForCompilerMismatch.getSelection());
- // }
- // });
}
Please sign in to comment.
Something went wrong with that request. Please try again.